diff -cr pgsql-orig/src/interfaces/odbc/info.c pgsql/src/interfaces/odbc/info.c
*** pgsql-orig/src/interfaces/odbc/info.c	Fri Jan 26 22:41:59 2001
--- pgsql/src/interfaces/odbc/info.c	Mon Feb 05 22:07:50 2001
***************
*** 69,75 ****
  static char *func = "SQLGetInfo";
  ConnectionClass *conn = (ConnectionClass *) hdbc;
  ConnInfo *ci;
! char *p = NULL;
  int len = 0, value = 0;
  RETCODE result;
  
--- 69,75 ----
  static char *func = "SQLGetInfo";
  ConnectionClass *conn = (ConnectionClass *) hdbc;
  ConnInfo *ci;
! char *p = NULL, tmp[MAX_INFO_STRING];
  int len = 0, value = 0;
  RETCODE result;
  
***************
*** 193,202 ****
      case SQL_DBMS_VER: /* ODBC 1.0 */
  		/* The ODBC spec wants ##.##.#### ...whatever... so prepend the driver */
  		/* version number to the dbms version string */
! 		p = POSTGRESDRIVERVERSION;
! 		strcat(p, " ");
! 		strcat(p, conn->pg_version);
!         break;
  
      case SQL_DEFAULT_TXN_ISOLATION: /* ODBC 1.0 */
  		len = 4;
--- 193,201 ----
      case SQL_DBMS_VER: /* ODBC 1.0 */
  		/* The ODBC spec wants ##.##.#### ...whatever... so prepend the driver */
  		/* version number to the dbms version string */
! 		sprintf(tmp, "%s %s", POSTGRESDRIVERVERSION, conn->pg_version);
! 		p = tmp;
! 		break;
  
      case SQL_DEFAULT_TXN_ISOLATION: /* ODBC 1.0 */
  		len = 4;
diff -cr pgsql-orig/src/interfaces/odbc/psqlodbc.h pgsql/src/interfaces/odbc/psqlodbc.h
*** pgsql-orig/src/interfaces/odbc/psqlodbc.h	Fri Jan 26 22:41:59 2001
--- pgsql/src/interfaces/odbc/psqlodbc.h	Mon Feb 05 22:09:05 2001
***************
*** 41,47 ****
  #define DRIVERNAME             "PostgreSQL ODBC"
  #define DBMS_NAME              "PostgreSQL"
  
! #define POSTGRESDRIVERVERSION  "07.01.0001"
  
  #ifdef WIN32
  #define DRIVER_FILE_NAME		"PSQLODBC.DLL"
--- 41,47 ----
  #define DRIVERNAME             "PostgreSQL ODBC"
  #define DBMS_NAME              "PostgreSQL"
  
! #define POSTGRESDRIVERVERSION  "07.01.0002"
  
  #ifdef WIN32
  #define DRIVER_FILE_NAME		"PSQLODBC.DLL"
diff -cr pgsql-orig/src/interfaces/odbc/psqlodbc.rc pgsql/src/interfaces/odbc/psqlodbc.rc
*** pgsql-orig/src/interfaces/odbc/psqlodbc.rc	Fri Jan 26 22:41:59 2001
--- pgsql/src/interfaces/odbc/psqlodbc.rc	Mon Feb 05 22:10:46 2001
***************
*** 204,211 ****
  //
  
  VS_VERSION_INFO VERSIONINFO
!  FILEVERSION 7,1,0,1
!  PRODUCTVERSION 7,1,0,1
   FILEFLAGSMASK 0x3L
  #ifdef _DEBUG
   FILEFLAGS 0x1L
--- 204,211 ----
  //
  
  VS_VERSION_INFO VERSIONINFO
!  FILEVERSION 7,1,0,2
!  PRODUCTVERSION 7,1,0,2
   FILEFLAGSMASK 0x3L
  #ifdef _DEBUG
   FILEFLAGS 0x1L
***************
*** 223,236 ****
              VALUE "Comments", "PostgreSQL ODBC driver\0"
              VALUE "CompanyName", "Insight Distribution Systems\0"
              VALUE "FileDescription", "PostgreSQL Driver\0"
!             VALUE "FileVersion", " 07.01.0001\0"
              VALUE "InternalName", "psqlodbc\0"
              VALUE "LegalCopyright", "\0"
              VALUE "LegalTrademarks", "ODBC(TM) is a trademark of Microsoft Corporation.  Microsoft® is a registered trademark of Microsoft Corporation. Windows(TM) is a trademark of Microsoft Corporation.\0"
              VALUE "OriginalFilename", "psqlodbc.dll\0"
              VALUE "PrivateBuild", "\0"
              VALUE "ProductName", "Microsoft Open Database Connectivity\0"
!             VALUE "ProductVersion", " 07.01.0001\0"
              VALUE "SpecialBuild", "\0"
          END
      END
--- 223,236 ----
              VALUE "Comments", "PostgreSQL ODBC driver\0"
              VALUE "CompanyName", "Insight Distribution Systems\0"
              VALUE "FileDescription", "PostgreSQL Driver\0"
!             VALUE "FileVersion", "07.01.0002\0"
              VALUE "InternalName", "psqlodbc\0"
              VALUE "LegalCopyright", "\0"
              VALUE "LegalTrademarks", "ODBC(TM) is a trademark of Microsoft Corporation.  Microsoft® is a registered trademark of Microsoft Corporation. Windows(TM) is a trademark of Microsoft Corporation.\0"
              VALUE "OriginalFilename", "psqlodbc.dll\0"
              VALUE "PrivateBuild", "\0"
              VALUE "ProductName", "Microsoft Open Database Connectivity\0"
!             VALUE "ProductVersion", "07.01.0002\0"
              VALUE "SpecialBuild", "\0"
          END
      END
